package p2.application.tdatacopyset;

import baseclass.PaoCust;
import p2.pao.PaoRemote;
import p2.pao.PaoSet;
import p2.pao.PaoSetRemote;
import p2.util.P2Exception;

public class tdatacopyset extends PaoCust {
    public tdatacopyset(PaoSet arg0) {
        super(arg0);
    }

    @Override
    public void init() throws P2Exception {
        super.init();

    }

    @Override
    public void add() throws P2Exception {
        super.add();
    }

    @Override
    protected void save() throws P2Exception {
        super.save();
        if (toBeAdded()) {
            PaoSetRemote tdatacopysetfor = getPaoSet("tdatacopysetfor");
            PaoRemote pao = tdatacopysetfor.addAtEnd();
            pao.setValue("fismainobject", true, 11L);
            pao.setValue("objectname", getString("objectname"), 11L);

        }
    }


}
